//***************************************************************
//------------<02.Dec.2010 by Peter Reiser>----------------------
//***************************************************************

#ifndef _SPI_H_
#define _SPI_H_

//================================================================

#include <msp430.h>                         // processor specific header
#include "mcu.h"
#include "types.h"

//===============================================================

void SpiDirectCommand(u08_t *pbuf);
void SpiDirectMode(void);
void SpiRawWrite(u08_t *pbuf, u08_t length);
void SpiReadCont(u08_t *pbuf, u08_t length);
void SpiReadSingle(u08_t *pbuf, u08_t length);
void SpiSetup(void);
void SpiUsciExtClkSet(void);
void SpiWriteCont(u08_t *pbuf, u08_t length);
void SpiWriteSingle(u08_t *pbuf, u08_t length);

//===============================================================

#define		TRF7970A_SPI_RX_BUF		UCB0RXBUF
#define		TRF7970A_SPI_TX_BUF		UCB0TXBUF
#define 	TRF7970A_TX_IFG_FLAG	UCB0TXIFG
#define 	TRF7970A_RX_IFG_FLAG	UCB0RXIFG
#define 	TRF7970A_SPI_STAT		UCB0STAT

#define		TRF7970A_SPI_CLK_DIR	P1DIR
#define		TRF7970A_SPI_CLK_PIN	BIT5
#define		TRF7970A_SPI_CLK_OUT	P1OUT

#define		TRF7970A_SPI_MISO_DIR	P1DIR
#define		TRF7970A_SPI_MISO_PIN	BIT6

#define		TRF7970A_SPI_MOSI_DIR	P1DIR
#define		TRF7970A_SPI_MOSI_PIN	BIT7

#define		TRF7970A_STE_DIR		P2DIR
#define		TRF7970A_STE_PIN		BIT1
#define		TRF7970A_STE_OUT		P2OUT

#define		TRF7970A_RF_ENABLE_DIR	P2DIR
#define		TRF7970A_RF_ENABLE_PIN	BIT2

// CSn
#define SLAVE_SELECT_PORT_SET   TRF7970A_STE_DIR |= TRF7970A_STE_PIN;
#define SLAVE_SELECT_HIGH       TRF7970A_STE_OUT |= TRF7970A_STE_PIN;
#define SLAVE_SELECT_LOW        TRF7970A_STE_OUT &= ~TRF7970A_STE_PIN;

#define		TRF7970A_SPI_CTL1	UCB0CTL1
#define		TRF7970A_SPI_CTL0	UCB0CTL0

#define		TRF7970A_BR0		UCB0BR0
#define		TRF7970A_BR1		UCB0BR1

#define		TRF7970A_SPI_SEL_1	P1SEL
#define		TRF7970A_SPI_SEL_2	P1SEL2

#endif
